package de.ivu.elect.business.system.control;

import java.util.List;

import de.ivu.elect.business.mandant.entity.Mandant;
import de.ivu.elect.business.system.control.status.SystemStatusOption;
import de.ivu.elect.business.system.entity.SystemStatusOptionGroup;
import de.ivu.elect.jee.presentation.status.StatusOptionResolver;

/**
 *  on 26.05.2017.
 */
public interface SystemStatusOptionResolver extends StatusOptionResolver {

  SystemStatusOptionGroup getSystemStatusOptionGroup();

  List<SystemStatusOption> getStatusOptions(Mandant mandant);

  boolean isResolveableByThorntail();

}
